import os
import yaml

# Отримуємо поточну директорію
current_dir = os.path.dirname(os.path.abspath(__file__))

# Побудова шляху до файлу на 3 рівні вище
file_path = os.path.normpath(os.path.join(current_dir, "../../proj.yml"))

# Зчитуємо файл за допомогою бібліотеки yaml
with open(file_path, 'r') as file:
    data = yaml.safe_load(file)

# Отримуємо значення 'port' з файлу
if data.get('port') != None:
    port = data.get('port')
else:
    port = '7654'
secret_key = 'PK&INPU67lFDHdsagh&8dwbjkw8u43'
domain_name='http://127.0.0.1'
domain=f'{domain_name}:{port}/'
update_domain='https://k2update.corp2.eu/'
#db_login=True # Авторизація користувача  на рівні бази даних: True - увімкнути, False - вимкнути

