#from flask_login import current_user
import logging


from .k2obj import K2Obj


class K2Secur(K2Obj):
    '''клас що відповідає за безпеку та права доступів користувачів'''
    name = 'k2secur'
    def __init__(self, *args, **kwargs):
        super().__init__()
        #self.is_superadmin = self.is_superadmin()


    def get_user_role(self, current_user):
        if current_user:
            user_id = current_user.get_id()
            try:
                # Отримати roleid
                from components.k2site.k2site.models import K2users
                user_role = K2users.query.filter_by(user_id=user_id).first().roleid
            except Exception as ex:
                user_role = None
                print(ex)
            return user_role


    def is_admin(self, current_user):
        return self.get_user_role(current_user) == '1'


    def is_superadmin(self, current_user):
        return self.get_user_role(current_user) == '-1'


    def is_superadmin_branch(self, current_user):
        return self.get_user_role(current_user) == '-50'


    def is_superadmin_root(self, current_user):
        return self.get_user_role(current_user) == '-100'


    def is_superadmin_cloud(self, current_user):
        return self.get_user_role(current_user) == '-1000'





